Package org.bukkit.block.structure

# Enum Class UsageMode

java.lang.Object
java.lang.Enum<UsageMode>
org.bukkit.block.structure.UsageMode

All Implemented Interfaces:
  `Serializable`, `Comparable<UsageMode>`, `Constable`

public enum UsageMode extends Enum<UsageMode>
Represents how a `Structure` can be used.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CORNER`
Used when saving a structure for easy size calculation.
`DATA`
Used to run specific custom functions, which can only be used for certain Structures.
`LOAD`
The mode used when loading a structure.
`SAVE`
The mode used when saving a structure.

## Method Summary

Modifier and Type
Method
Description
`static UsageMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UsageMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAVE

public static final UsageMode SAVE
The mode used when saving a structure.

### LOAD

public static final UsageMode LOAD
The mode used when loading a structure.

### CORNER

public static final UsageMode CORNER
Used when saving a structure for easy size calculation. When using this mode, the Structure name MUST match the name in the second Structure block that is in `SAVE`.

### DATA

public static final UsageMode DATA
Used to run specific custom functions, which can only be used for certain Structures. The structure block is removed after this function completes. The data tags (functions) can be found on the wiki.

## Method Details

### values

public static UsageMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UsageMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null